umbrello: ChildWidgetPlacement Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
ChildWidgetPlacement Class Referenceabstract

Base class for child widget placement. More...

`#include <childwidgetplacement.h>`

Inheritance diagram for ChildWidgetPlacement:

## Public Member Functions
| ChildWidgetPlacement (PinPortBase *widget)
virtual | ~ChildWidgetPlacement ()
virtual void | detectConnectedSide ()=0
virtual void | setInitialPosition (const QPointF &scenePos=QPointF())=0
virtual void | setNewPositionWhenMoved (qreal diffX, qreal diffY)=0
virtual void | setNewPositionOnParentResize ()=0

## Protected Types
enum | ConnectedSide { Undefined , Top , Right , Bottom , Left , TopLeft , TopRight , BottomRight , BottomLeft }

## Protected Member Functions
void | setPos (const QPointF &pos)
void | setPos (qreal x, qreal y)
void | setX (qreal x)
void | setY (qreal y)
qreal | x () const
qreal | y () const
qreal | width () const
qreal | height () const
UMLWidget * | ownerWidget () const

## Protected Attributes
PinPortBase *const | m_widget
ConnectedSide | m_connectedSide

## Detailed Description

Base class for child widget placement.

Base class for placing child widgets relative to their parent. Child widget positions shall somehow be constrained, e.g. always in contact to the parent widgets border.

## Member Enumeration Documentation

## ◆ ConnectedSide

enum ChildWidgetPlacement::ConnectedSide
| protected

Enumerator
Undefined |
Top |
Right |
Bottom |
Left |
TopLeft |
TopRight |
BottomRight |
BottomLeft |

## Constructor & Destructor Documentation

## ◆ ChildWidgetPlacement()

ChildWidgetPlacement::ChildWidgetPlacement | ( | PinPortBase * | widget | ) |

## ◆ ~ChildWidgetPlacement()

virtual ChildWidgetPlacement::~ChildWidgetPlacement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ detectConnectedSide()

virtual void ChildWidgetPlacement::detectConnectedSide | ( |  | ) |
| pure virtual

Implemented in ChildWidgetPlacementPin, and ChildWidgetPlacementPort.

## ◆ height()

qreal ChildWidgetPlacement::height | ( |  | ) | const
| protected

## ◆ ownerWidget()

UMLWidget * ChildWidgetPlacement::ownerWidget | ( |  | ) | const
| protected

## ◆ setInitialPosition()

virtual void ChildWidgetPlacement::setInitialPosition | ( | const QPointF & | scenePos = `QPointF()` | ) |
| pure virtual

Implemented in ChildWidgetPlacementPin, and ChildWidgetPlacementPort.

## ◆ setNewPositionOnParentResize()

virtual void ChildWidgetPlacement::setNewPositionOnParentResize | ( |  | ) |
| pure virtual

Implemented in ChildWidgetPlacementPin, and ChildWidgetPlacementPort.

## ◆ setNewPositionWhenMoved()

virtual void ChildWidgetPlacement::setNewPositionWhenMoved | ( | qreal | diffX,
|  | qreal | diffY
| ) |  |
| pure virtual

Implemented in ChildWidgetPlacementPin, and ChildWidgetPlacementPort.

## ◆ setPos() [1/2]

void ChildWidgetPlacement::setPos | ( | const QPointF & | pos | ) |
| protected

## ◆ setPos() [2/2]

void ChildWidgetPlacement::setPos | ( | qreal | x,
|  | qreal | y
| ) |  |
| protected

## ◆ setX()

void ChildWidgetPlacement::setX | ( | qreal | x | ) |
| protected

## ◆ setY()

void ChildWidgetPlacement::setY | ( | qreal | y | ) |
| protected

## ◆ width()

qreal ChildWidgetPlacement::width | ( |  | ) | const
| protected

## ◆ x()

qreal ChildWidgetPlacement::x | ( |  | ) | const
| protected

## ◆ y()

qreal ChildWidgetPlacement::y | ( |  | ) | const
| protected

## Member Data Documentation

## ◆ m_connectedSide

ConnectedSide ChildWidgetPlacement::m_connectedSide
| protected

## ◆ m_widget

PinPortBase* const ChildWidgetPlacement::m_widget
| protected

The documentation for this class was generated from the following files:

- umbrello/umlwidgets/childwidgetplacement.h
- umbrello/umlwidgets/childwidgetplacement.cpp